<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.6" type="org.netbeans.modules.form.forminfo.JFrameFormInfo">
  <NonVisualComponents>
    <Component class="org.cocktail.component.CODisplayGroup" name="displayGroup">
      <Properties>
        <Property name="entityName" type="java.lang.String" value="PrimeExclusionPosition"/>
        <Property name="hasDelegate" type="boolean" value="true"/>
        <Property name="isMainDisplayGroupForController" type="boolean" value="true"/>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
    <Component class="org.cocktail.component.CODisplayGroup" name="displayGroupPrimes">
      <Properties>
        <Property name="entityName" type="java.lang.String" value="Prime"/>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
  </NonVisualComponents>
  <Properties>
    <Property name="controllerClassName" type="java.lang.String" value="org.cocktail.mangue.client.primes.GestionExclusionsPosition"/>
    <Property name="size" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
      <Dimension value="[693, 368]"/>
    </Property>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="2"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace min="-2" pref="35" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="cOView2" alignment="0" min="-2" max="-2" attributes="0"/>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="listeAffichage" min="-2" pref="593" max="-2" attributes="0"/>
                              <EmptySpace min="-2" max="-2" attributes="0"/>
                              <Component id="vueBoutonsModification" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Component id="cOView1" alignment="0" min="-2" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace min="-2" pref="288" max="-2" attributes="0"/>
                      <Component id="cOComboBox2" min="-2" pref="103" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace pref="41" max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Component id="cOView1" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="cOComboBox2" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="vueBoutonsModification" alignment="0" min="-2" max="-2" attributes="0"/>
                  <Group type="102" alignment="0" attributes="0">
                      <Component id="listeAffichage" min="-2" pref="129" max="-2" attributes="0"/>
                      <EmptySpace type="unrelated" min="-2" max="-2" attributes="0"/>
                      <Component id="cOView2" min="-2" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace min="-2" pref="24" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="org.cocktail.component.COComboBox" name="cOComboBox2">
      <Properties>
        <Property name="enabledMethod" type="java.lang.String" value="popupActif"/>
        <Property name="indexForSelection" type="java.lang.String" value="&lt;none&gt;"/>
        <Property name="titleForSelection" type="java.lang.String" value="typeValidite"/>
        <Property name="titles" type="java.lang.String" value="Valides,Historique"/>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
    <Component class="org.cocktail.component.COTable" name="listeAffichage">
      <Properties>
        <Property name="columns" type="[Ljava.lang.Object;" editor="org.cocktail.component.COColumnsEditor">
          <SerializedValue value="-84,-19,0,5,117,114,0,19,91,76,106,97,118,97,46,108,97,110,103,46,79,98,106,101,99,116,59,-112,-50,88,-97,16,115,41,108,2,0,0,120,112,0,0,0,1,117,113,0,126,0,0,0,0,0,8,112,116,0,19,112,111,115,105,116,105,111,110,46,108,108,80,111,115,105,116,105,111,110,115,114,0,17,106,97,118,97,46,108,97,110,103,46,73,110,116,101,103,101,114,18,-30,-96,-92,-9,-127,-121,56,2,0,1,73,0,5,118,97,108,117,101,120,114,0,16,106,97,118,97,46,108,97,110,103,46,78,117,109,98,101,114,-122,-84,-107,29,11,-108,-32,-117,2,0,0,120,112,0,0,0,2,116,0,17,80,111,115,105,116,105,111,110,115,32,101,120,99,108,117,101,115,115,113,0,126,0,4,0,0,0,0,115,113,0,126,0,4,0,0,2,61,115,113,0,126,0,4,0,0,3,-24,115,113,0,126,0,4,0,0,0,83"/>
        </Property>
        <Property name="displayGroupForTable" type="org.cocktail.component.CODisplayGroup" editor="org.cocktail.component.CODisplayGroupEditor">
          <ComponentRef name="displayGroup"/>
        </Property>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
    <Container class="org.cocktail.component.COView" name="vueBoutonsModification">
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Component id="cOButton1" alignment="0" min="-2" pref="16" max="-2" attributes="1"/>
              <Component id="cOButton3" alignment="1" min="-2" pref="16" max="-2" attributes="1"/>
              <Component id="cOButton2" alignment="1" min="-2" pref="16" max="-2" attributes="1"/>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <Component id="cOButton1" min="-2" pref="16" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="cOButton2" min="-2" pref="16" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="cOButton3" min="-2" pref="16" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="org.cocktail.component.COButton" name="cOButton1">
          <Properties>
            <Property name="actionName" type="java.lang.String" value="ajouter"/>
            <Property name="borderPainted" type="boolean" value="false"/>
            <Property name="enabledMethod" type="java.lang.String" value="modeSaisiePossible"/>
            <Property name="iconName" type="java.lang.String" value="ajouter16.gif"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="org.cocktail.component.COButton" name="cOButton2">
          <Properties>
            <Property name="actionName" type="java.lang.String" value="modifier"/>
            <Property name="borderPainted" type="boolean" value="false"/>
            <Property name="enabledMethod" type="java.lang.String" value="boutonModificationAutorise"/>
            <Property name="iconName" type="java.lang.String" value="modifier16.gif"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="org.cocktail.component.COButton" name="cOButton3">
          <Properties>
            <Property name="actionName" type="java.lang.String" value="supprimer"/>
            <Property name="borderPainted" type="boolean" value="false"/>
            <Property name="enabledMethod" type="java.lang.String" value="boutonModificationAutorise"/>
            <Property name="iconName" type="java.lang.String" value="supprimer16.gif"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
      </SubComponents>
    </Container>
    <Container class="org.cocktail.component.COView" name="cOView1">
      <Properties>
        <Property name="isBox" type="boolean" value="true"/>
        <Property name="title" type="java.lang.String" value="Choix Prime"/>
      </Properties>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="1" attributes="0">
                  <EmptySpace min="-2" pref="26" max="-2" attributes="0"/>
                  <Component id="cOCheckbox1" min="-2" max="-2" attributes="0"/>
                  <EmptySpace pref="68" max="32767" attributes="0"/>
                  <Component id="cOComboBox1" min="-2" pref="367" max="-2" attributes="0"/>
                  <EmptySpace min="-2" pref="24" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="cOComboBox1" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="cOCheckbox1" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace pref="12" max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="org.cocktail.component.COComboBox" name="cOComboBox1">
          <Properties>
            <Property name="displayGroupForTitle" type="org.cocktail.component.CODisplayGroup" editor="org.cocktail.component.CODisplayGroupEditor">
              <ComponentRef name="displayGroupPrimes"/>
            </Property>
            <Property name="enabledMethod" type="java.lang.String" value="peutChoisirPrime"/>
            <Property name="titleAttribute" type="java.lang.String" value="libelleAvecCode"/>
            <Property name="titleForSelection" type="java.lang.String" value="libellePrime"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="org.cocktail.component.COCheckbox" name="cOCheckbox1">
          <Properties>
            <Property name="enabledMethod" type="java.lang.String" value="peutChoisirPrime"/>
            <Property name="text" type="java.lang.String" value="Primes valides"/>
            <Property name="valueName" type="java.lang.String" value="afficherPrimesValides"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
      </SubComponents>
    </Container>
    <Container class="org.cocktail.component.COView" name="cOView2">
      <Properties>
        <Property name="isBox" type="boolean" value="true"/>
        <Property name="title" type="java.lang.String" value="Position &#xe0; exclure"/>
      </Properties>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="cOTextField1" min="-2" pref="542" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="cOButton5" min="-2" pref="18" max="-2" attributes="0"/>
                  <EmptySpace pref="14" max="32767" attributes="0"/>
              </Group>
              <Group type="102" alignment="1" attributes="0">
                  <EmptySpace pref="424" max="32767" attributes="0"/>
                  <Component id="jLabel1" min="-2" pref="40" max="-2" attributes="0"/>
                  <EmptySpace min="-2" pref="72" max="-2" attributes="0"/>
                  <Component id="vueBoutonsValidation" min="-2" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" pref="17" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="cOTextField1" alignment="3" min="-2" pref="21" max="-2" attributes="0"/>
                      <Component id="cOButton5" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="1" attributes="0">
                      <Component id="vueBoutonsValidation" min="-2" max="-2" attributes="0"/>
                      <Component id="jLabel1" min="-2" pref="16" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="org.cocktail.component.COTextField" name="cOTextField1">
          <Properties>
            <Property name="displayGroupForValue" type="org.cocktail.component.CODisplayGroup" editor="org.cocktail.component.CODisplayGroupEditor">
              <ComponentRef name="displayGroup"/>
            </Property>
            <Property name="enabledMethod" type="java.lang.String" value="nonEditable"/>
            <Property name="supportsBackgroundColor" type="boolean" value="true"/>
            <Property name="valueName" type="java.lang.String" value="position.libelleLong"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="org.cocktail.component.COButton" name="cOButton5">
          <Properties>
            <Property name="actionName" type="java.lang.String" value="afficherPositions"/>
            <Property name="borderPainted" type="boolean" value="false"/>
            <Property name="enabledMethod" type="java.lang.String" value="modificationEnCours"/>
            <Property name="iconName" type="java.lang.String" value="loupe16.gif"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Container class="org.cocktail.component.COView" name="vueBoutonsValidation">
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>

          <Layout>
            <DimensionLayout dim="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace max="32767" attributes="0"/>
                      <Component id="cOButton9" min="-2" pref="16" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="cOButton10" min="-2" pref="16" max="-2" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
            <DimensionLayout dim="1">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="103" alignment="0" groupAlignment="3" attributes="0">
                      <Component id="cOButton9" alignment="3" min="-2" pref="16" max="-2" attributes="0"/>
                      <Component id="cOButton10" alignment="3" min="-2" pref="16" max="-2" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
          </Layout>
          <SubComponents>
            <Component class="org.cocktail.component.COButton" name="cOButton9">
              <Properties>
                <Property name="actionName" type="java.lang.String" value="annuler"/>
                <Property name="borderPainted" type="boolean" value="false"/>
                <Property name="enabledMethod" type="java.lang.String" value="modificationEnCours"/>
                <Property name="iconName" type="java.lang.String" value="annuler16.gif"/>
              </Properties>
              <AuxValues>
                <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
              </AuxValues>
            </Component>
            <Component class="org.cocktail.component.COButton" name="cOButton10">
              <Properties>
                <Property name="actionName" type="java.lang.String" value="valider"/>
                <Property name="borderPainted" type="boolean" value="false"/>
                <Property name="enabledMethod" type="java.lang.String" value="peutValider"/>
                <Property name="iconName" type="java.lang.String" value="valider16.gif"/>
              </Properties>
              <AuxValues>
                <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
              </AuxValues>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JLabel" name="jLabel1">
        </Component>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
